Bug 832238 - new-kernel-pkg --mkinitrd infinite loop presents as segfault
new-kernel-pkg --mkinitrd infinite loop presents as segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 19:58 EDT by Zach Brown
Modified: 2015-05-17 21:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:55:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rename mkinitrd helper shell function so it doesn't execute itself (478 bytes, patch)
2012-06-14 19:58 EDT, Zach Brown
no flags Details | Diff
avoid recursion in mkinitrd (grown up git patch this time) (1.33 KB, patch)
2012-06-22 17:16 EDT, Zach Brown
no flags Details | Diff

  None (edit)
Description Zach Brown 2012-06-14 19:58:14 EDT
Created attachment 591952 [details]
rename mkinitrd helper shell function so it doesn't execute itself

Description of problem:

new-kernel-pkg --mkinitrd gets stuck in an infinite loop because the mkinitrd shell function tries to execute "mkinitrd", itself.  It used to try and execute /sbin/mkinitrd.

I tripped over this by running an old ~/bin/installkernel helper script that wasn't updated to know about --dracut.

Version-Release number of selected component (if applicable):

This seems to have been introduced in commit:

commit eec2063c966df68a9e1947d9e9474df72540e3c6
Author: Peter Jones <pjones@redhat.com>
Date:   Thu Jan 19 10:32:23 2012 -0500

    Fix hard coded paths so kernel's "make install" will DTRT.


[...]
--- a/new-kernel-pkg
+++ b/new-kernel-pkg
@@ -501,7 +501,7 @@ mkinitrd() {
     if [ -n "$dracut" ]; then
         tool="dracut $dracuthostonly -f $initrdfile $version"
     else
-       tool="/sbin/mkinitrd --allow-missing -f $initrdfile $version"
+       tool="mkinitrd --allow-missing -f $initrdfile $version"
     fi
     [ -n "$verbose" ] && echo "creating initrd: $tool"
     $tool


How reproducible:

100%, just provide enough args to get into the mkinitrd parsing.  The example command line does it!

Steps to Reproduce:
1. new-kernel-pkg --mkinitrd --depmod --install 2.4.7-2
  
Actual results:

Segmentation fault (core dumped)

Expected results:

\o/

Additional info:

The attached patch fixes it even if the dorkyCase makes my skin crawl.
Comment 1 Zach Brown 2012-06-22 17:16:17 EDT
Created attachment 593830 [details]
avoid recursion in mkinitrd (grown up git patch this time)

Here's a better git commit with a comment and sob, sorry for the crummy first pass.
Comment 2 Fedora End Of Life 2013-07-03 22:38:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 04:55:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.